net.sf.okapi.common.resource

## Enum IAlignedSegments.CopyOptions

- java.lang.Object
- - java.lang.Enum<IAlignedSegments.CopyOptions>
  - - net.sf.okapi.common.resource.IAlignedSegments.CopyOptions

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IAlignedSegments.CopyOptions>
  Enclosing interface:
    IAlignedSegments

      public static enum IAlignedSegments.CopyOptions
      extends java.lang.Enum<IAlignedSegments.CopyOptions>

  Flag to indicate which segments should contain content when new or copied segments are created. Empty segments are created if a segment is flagged to be modified in `IAlignedSegments.VariantOptions` but is not flagged in CopyOptions. If no segment is created or modified, this flag does nothing.
  COPY_TO_SOURCE
    the source for the given target locale should contain content
  COPY_TO_TARGET
    the target for the given target locale should contain content
  COPY_TO_TARGETS_WITH_SAME_SOURCE
    other targets that also use the source of the target locale should contain content
  COPY_TO_VARIANT_SOURCES
    sources other than the one for the target locale should contain content
  COPY_TO_TARGETS_OF_VARIANT_SOURCES
    targets that do not use the source of the target locale should contain content
  See Also:
    `IAlignedSegments.VariantOptions`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COPY_TO_SOURCE`
    `COPY_TO_TARGET`
    `COPY_TO_TARGETS_OF_VARIANT_SOURCES`
    `COPY_TO_TARGETS_WITH_SAME_SOURCE`
    `COPY_TO_VARIANT_SOURCES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IAlignedSegments.CopyOptions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IAlignedSegments.CopyOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COPY_TO_SOURCE

          public static final IAlignedSegments.CopyOptions COPY_TO_SOURCE

    - #### COPY_TO_TARGET

          public static final IAlignedSegments.CopyOptions COPY_TO_TARGET

    - #### COPY_TO_TARGETS_WITH_SAME_SOURCE

          public static final IAlignedSegments.CopyOptions COPY_TO_TARGETS_WITH_SAME_SOURCE

    - #### COPY_TO_VARIANT_SOURCES

          public static final IAlignedSegments.CopyOptions COPY_TO_VARIANT_SOURCES

    - #### COPY_TO_TARGETS_OF_VARIANT_SOURCES

          public static final IAlignedSegments.CopyOptions COPY_TO_TARGETS_OF_VARIANT_SOURCES

  - ### Method Detail

    - #### values

          public static IAlignedSegments.CopyOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IAlignedSegments.CopyOptions c : IAlignedSegments.CopyOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IAlignedSegments.CopyOptions valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null